<?php
session_start(); // Initialize session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg6.php" ?>
<?php include "ewmysql6.php" ?>
<?php include "phpfn6.php" ?>
<?php include "linea_productoinfo.php" ?>
<?php include "categoriainfo.php" ?>
<?php include "usuarioinfo.php" ?>
<?php include "userfn6.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Define page object
$linea_producto_view = new clinea_producto_view();
$Page =& $linea_producto_view;

// Page init processing
$linea_producto_view->Page_Init();

// Page main processing
$linea_producto_view->Page_Main();
?>
<?php include "header.php" ?>
<?php if ($linea_producto->Export == "") { ?>
<script type="text/javascript">
<!--

// Create page object
var linea_producto_view = new ew_Page("linea_producto_view");

// page properties
linea_producto_view.PageID = "view"; // page ID
var EW_PAGE_ID = linea_producto_view.PageID; // for backward compatibility

// extend page with Form_CustomValidate function
linea_producto_view.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
linea_producto_view.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
linea_producto_view.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<?php } ?>
<p><span class="phpmaker"><img src='images/browse.gif' width='16' height='16' border='0' alt='Ver'> TABLA: lineas
<br><br>
<?php if ($linea_producto->Export == "") { ?>
<a href="linea_productolist.php">Regresar al Listado</a>&nbsp;
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $linea_producto->AddUrl() ?>"><img src='images/add.gif' width='16' height='16' border='0' alt='Agregar'></a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $linea_producto->EditUrl() ?>"><img src='images/edit.gif' width='16' height='16' border='0' alt='Editar'></a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $linea_producto->CopyUrl() ?>"><img src='images/copy.gif' width='16' height='16' border='0' alt='Copiar'></a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $linea_producto->DeleteUrl() ?>"><img src='images/delete.gif' width='16' height='16' border='0' alt='Borrar'></a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="productolist.php?<?php echo EW_TABLE_SHOW_MASTER ?>=linea_producto&cod_linea_producto=<?php echo urlencode(strval($linea_producto->cod_linea_producto->CurrentValue)) ?>">productos<img src='images/detail.gif' width='16' height='16' border='0' alt='Detalles'></a>
&nbsp;
<?php } ?>
<?php } ?>
</span></p>
<?php $linea_producto_view->ShowMessage() ?>
<p>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($linea_producto->cod_linea_producto->Visible) { // cod_linea_producto ?>
	<tr<?php echo $linea_producto->cod_linea_producto->RowAttributes ?>>
		<td class="ewTableHeader">cod linea</td>
		<td<?php echo $linea_producto->cod_linea_producto->CellAttributes() ?>>
<div<?php echo $linea_producto->cod_linea_producto->ViewAttributes() ?>><?php echo $linea_producto->cod_linea_producto->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->cod_categoria->Visible) { // cod_categoria ?>
	<tr<?php echo $linea_producto->cod_categoria->RowAttributes ?>>
		<td class="ewTableHeader">categoria</td>
		<td<?php echo $linea_producto->cod_categoria->CellAttributes() ?>>
<div<?php echo $linea_producto->cod_categoria->ViewAttributes() ?>><?php echo $linea_producto->cod_categoria->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->des_linea_producto->Visible) { // des_linea_producto ?>
	<tr<?php echo $linea_producto->des_linea_producto->RowAttributes ?>>
		<td class="ewTableHeader">descripción</td>
		<td<?php echo $linea_producto->des_linea_producto->CellAttributes() ?>>
<div<?php echo $linea_producto->des_linea_producto->ViewAttributes() ?>><?php echo $linea_producto->des_linea_producto->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->des_abreviada->Visible) { // des_abreviada ?>
	<tr<?php echo $linea_producto->des_abreviada->RowAttributes ?>>
		<td class="ewTableHeader">des abreviada</td>
		<td<?php echo $linea_producto->des_abreviada->CellAttributes() ?>>
<div<?php echo $linea_producto->des_abreviada->ViewAttributes() ?>><?php echo $linea_producto->des_abreviada->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->ind_activo->Visible) { // ind_activo ?>
	<tr<?php echo $linea_producto->ind_activo->RowAttributes ?>>
		<td class="ewTableHeader">activo</td>
		<td<?php echo $linea_producto->ind_activo->CellAttributes() ?>>
<div<?php echo $linea_producto->ind_activo->ViewAttributes() ?>><?php echo $linea_producto->ind_activo->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->ind_cat->Visible) { // ind_cat ?>
	<tr<?php echo $linea_producto->ind_cat->RowAttributes ?>>
		<td class="ewTableHeader">cat</td>
		<td<?php echo $linea_producto->ind_cat->CellAttributes() ?>>
<div<?php echo $linea_producto->ind_cat->ViewAttributes() ?>><?php echo $linea_producto->ind_cat->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->orden->Visible) { // orden ?>
	<tr<?php echo $linea_producto->orden->RowAttributes ?>>
		<td class="ewTableHeader">orden</td>
		<td<?php echo $linea_producto->orden->CellAttributes() ?>>
<div<?php echo $linea_producto->orden->ViewAttributes() ?>><?php echo $linea_producto->orden->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->cod_usuario_registro->Visible) { // cod_usuario_registro ?>
	<tr<?php echo $linea_producto->cod_usuario_registro->RowAttributes ?>>
		<td class="ewTableHeader">cod usuario registro</td>
		<td<?php echo $linea_producto->cod_usuario_registro->CellAttributes() ?>>
<div<?php echo $linea_producto->cod_usuario_registro->ViewAttributes() ?>><?php echo $linea_producto->cod_usuario_registro->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->fec_registro->Visible) { // fec_registro ?>
	<tr<?php echo $linea_producto->fec_registro->RowAttributes ?>>
		<td class="ewTableHeader">fec registro</td>
		<td<?php echo $linea_producto->fec_registro->CellAttributes() ?>>
<div<?php echo $linea_producto->fec_registro->ViewAttributes() ?>><?php echo $linea_producto->fec_registro->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->cod_usuario_modificacion->Visible) { // cod_usuario_modificacion ?>
	<tr<?php echo $linea_producto->cod_usuario_modificacion->RowAttributes ?>>
		<td class="ewTableHeader">cod usuario modificacion</td>
		<td<?php echo $linea_producto->cod_usuario_modificacion->CellAttributes() ?>>
<div<?php echo $linea_producto->cod_usuario_modificacion->ViewAttributes() ?>><?php echo $linea_producto->cod_usuario_modificacion->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->fec_ultima_modificacion->Visible) { // fec_ultima_modificacion ?>
	<tr<?php echo $linea_producto->fec_ultima_modificacion->RowAttributes ?>>
		<td class="ewTableHeader">fec ultima modificacion</td>
		<td<?php echo $linea_producto->fec_ultima_modificacion->CellAttributes() ?>>
<div<?php echo $linea_producto->fec_ultima_modificacion->ViewAttributes() ?>><?php echo $linea_producto->fec_ultima_modificacion->ViewValue ?></div></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($linea_producto->Export == "") { ?>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php } ?>
<?php include "footer.php" ?>
<?php

//
// Page Class
//
class clinea_producto_view {

	// Page ID
	var $PageID = 'view';

	// Table Name
	var $TableName = 'linea_producto';

	// Page Object Name
	var $PageObjName = 'linea_producto_view';

	// Page Name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page Url
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $linea_producto;
		if ($linea_producto->UseTokenInUrl) $PageUrl .= "t=" . $linea_producto->TableVar . "&"; // add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show Message
	function ShowMessage() {
		if ($this->getMessage() <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $this->getMessage() . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate Page request
	function IsPageRequest() {
		global $objForm, $linea_producto;
		if ($linea_producto->UseTokenInUrl) {

			//IsPageRequest = False
			if ($objForm)
				return ($linea_producto->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($linea_producto->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	//  Class initialize
	//  - init objects
	//  - open connection
	//
	function clinea_producto_view() {
		global $conn;

		// Initialize table object
		$GLOBALS["linea_producto"] = new clinea_producto();

		// Initialize other table object
		$GLOBALS['categoria'] = new ccategoria();

		// Initialize other table object
		$GLOBALS['usuario'] = new cusuario();

		// Intialize page id (for backward compatibility)
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Initialize table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'linea_producto', TRUE);

		// Open connection to the database
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $linea_producto;
		global $Security;
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Global page loading event (in userfn6.php)
		Page_Loading();

		// Page load event, used in current page
		$this->Page_Load();
	}

	//
	//  Page_Terminate
	//  - called when exit page
	//  - if URL specified, redirect to the URL
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page unload event, used in current page
		$this->Page_Unload();

		// Global page unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close Connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			ob_end_clean();
			header("Location: $url");
		}
		exit();
	}
	var $lDisplayRecs; // Number of display records
	var $lStartRec;
	var $lStopRec;
	var $lTotalRecs;
	var $lRecRange;
	var $lRecCnt;

	//
	// Page main processing
	//
	function Page_Main() {
		global $linea_producto;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["cod_linea_producto"] <> "") {
				$linea_producto->cod_linea_producto->setQueryStringValue($_GET["cod_linea_producto"]);
			} else {
				$sReturnUrl = "linea_productolist.php"; // Return to list
			}
			if (@$_GET["cod_categoria"] <> "") {
				$linea_producto->cod_categoria->setQueryStringValue($_GET["cod_categoria"]);
			} else {
				$sReturnUrl = "linea_productolist.php"; // Return to list
			}

			// Get action
			$linea_producto->CurrentAction = "I"; // Display form
			switch ($linea_producto->CurrentAction) {
				case "I": // Get a record to display
					if (!$this->LoadRow()) { // Load record based on key
						$this->setMessage("No se encontraron registros"); // Set no record message
						$sReturnUrl = "linea_productolist.php"; // No matching record, return to list
					}
			}
		} else {
			$sReturnUrl = "linea_productolist.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$linea_producto->RowType = EW_ROWTYPE_VIEW;
		$this->RenderRow();
	}

	// Set up Starting Record parameters based on Pager Navigation
	function SetUpStartRec() {
		global $linea_producto;
		if ($this->lDisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request			
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->lStartRec = $_GET[EW_TABLE_START_REC];
				$linea_producto->setStartRecordNumber($this->lStartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$this->nPageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($this->nPageNo)) {
					$this->lStartRec = ($this->nPageNo-1)*$this->lDisplayRecs+1;
					if ($this->lStartRec <= 0) {
						$this->lStartRec = 1;
					} elseif ($this->lStartRec >= intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1) {
						$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1;
					}
					$linea_producto->setStartRecordNumber($this->lStartRec);
				}
			}
		}
		$this->lStartRec = $linea_producto->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->lStartRec) || $this->lStartRec == "") { // Avoid invalid start record counter
			$this->lStartRec = 1; // Reset start record counter
			$linea_producto->setStartRecordNumber($this->lStartRec);
		} elseif (intval($this->lStartRec) > intval($this->lTotalRecs)) { // Avoid starting record > total records
			$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to last page first record
			$linea_producto->setStartRecordNumber($this->lStartRec);
		} elseif (($this->lStartRec-1) % $this->lDisplayRecs <> 0) {
			$this->lStartRec = intval(($this->lStartRec-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to page boundary
			$linea_producto->setStartRecordNumber($this->lStartRec);
		}
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $linea_producto;
		$sFilter = $linea_producto->KeyFilter();

		// Call Row Selecting event
		$linea_producto->Row_Selecting($sFilter);

		// Load sql based on filter
		$linea_producto->CurrentFilter = $sFilter;
		$sSql = $linea_producto->SQL();
		if ($rs = $conn->Execute($sSql)) {
			if ($rs->EOF) {
				$LoadRow = FALSE;
			} else {
				$LoadRow = TRUE;
				$rs->MoveFirst();
				$this->LoadRowValues($rs); // Load row values

				// Call Row Selected event
				$linea_producto->Row_Selected($rs);
			}
			$rs->Close();
		} else {
			$LoadRow = FALSE;
		}
		return $LoadRow;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $linea_producto;
		$linea_producto->cod_linea_producto->setDbValue($rs->fields('cod_linea_producto'));
		$linea_producto->cod_categoria->setDbValue($rs->fields('cod_categoria'));
		$linea_producto->des_linea_producto->setDbValue($rs->fields('des_linea_producto'));
		$linea_producto->des_abreviada->setDbValue($rs->fields('des_abreviada'));
		$linea_producto->ind_activo->setDbValue($rs->fields('ind_activo'));
		$linea_producto->ind_cat->setDbValue($rs->fields('ind_cat'));
		$linea_producto->orden->setDbValue($rs->fields('orden'));
		$linea_producto->cod_usuario_registro->setDbValue($rs->fields('cod_usuario_registro'));
		$linea_producto->fec_registro->setDbValue($rs->fields('fec_registro'));
		$linea_producto->cod_usuario_modificacion->setDbValue($rs->fields('cod_usuario_modificacion'));
		$linea_producto->fec_ultima_modificacion->setDbValue($rs->fields('fec_ultima_modificacion'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $linea_producto;

		// Call Row_Rendering event
		$linea_producto->Row_Rendering();

		// Common render codes for all row types
		// cod_linea_producto

		$linea_producto->cod_linea_producto->CellCssStyle = "";
		$linea_producto->cod_linea_producto->CellCssClass = "";

		// cod_categoria
		$linea_producto->cod_categoria->CellCssStyle = "";
		$linea_producto->cod_categoria->CellCssClass = "";

		// des_linea_producto
		$linea_producto->des_linea_producto->CellCssStyle = "";
		$linea_producto->des_linea_producto->CellCssClass = "";

		// des_abreviada
		$linea_producto->des_abreviada->CellCssStyle = "";
		$linea_producto->des_abreviada->CellCssClass = "";

		// ind_activo
		$linea_producto->ind_activo->CellCssStyle = "";
		$linea_producto->ind_activo->CellCssClass = "";

		// ind_cat
		$linea_producto->ind_cat->CellCssStyle = "";
		$linea_producto->ind_cat->CellCssClass = "";

		// orden
		$linea_producto->orden->CellCssStyle = "";
		$linea_producto->orden->CellCssClass = "";

		// cod_usuario_registro
		$linea_producto->cod_usuario_registro->CellCssStyle = "";
		$linea_producto->cod_usuario_registro->CellCssClass = "";

		// fec_registro
		$linea_producto->fec_registro->CellCssStyle = "";
		$linea_producto->fec_registro->CellCssClass = "";

		// cod_usuario_modificacion
		$linea_producto->cod_usuario_modificacion->CellCssStyle = "";
		$linea_producto->cod_usuario_modificacion->CellCssClass = "";

		// fec_ultima_modificacion
		$linea_producto->fec_ultima_modificacion->CellCssStyle = "";
		$linea_producto->fec_ultima_modificacion->CellCssClass = "";
		if ($linea_producto->RowType == EW_ROWTYPE_VIEW) { // View row

			// cod_linea_producto
			$linea_producto->cod_linea_producto->ViewValue = $linea_producto->cod_linea_producto->CurrentValue;
			$linea_producto->cod_linea_producto->CssStyle = "";
			$linea_producto->cod_linea_producto->CssClass = "";
			$linea_producto->cod_linea_producto->ViewCustomAttributes = "";

			// cod_categoria
			$linea_producto->cod_categoria->ViewValue = $linea_producto->cod_categoria->CurrentValue;
			$linea_producto->cod_categoria->CssStyle = "";
			$linea_producto->cod_categoria->CssClass = "";
			$linea_producto->cod_categoria->ViewCustomAttributes = "";

			// des_linea_producto
			$linea_producto->des_linea_producto->ViewValue = $linea_producto->des_linea_producto->CurrentValue;
			$linea_producto->des_linea_producto->CssStyle = "";
			$linea_producto->des_linea_producto->CssClass = "";
			$linea_producto->des_linea_producto->ViewCustomAttributes = "";

			// des_abreviada
			$linea_producto->des_abreviada->ViewValue = $linea_producto->des_abreviada->CurrentValue;
			$linea_producto->des_abreviada->CssStyle = "";
			$linea_producto->des_abreviada->CssClass = "";
			$linea_producto->des_abreviada->ViewCustomAttributes = "";

			// ind_activo
			$linea_producto->ind_activo->ViewValue = $linea_producto->ind_activo->CurrentValue;
			$linea_producto->ind_activo->CssStyle = "";
			$linea_producto->ind_activo->CssClass = "";
			$linea_producto->ind_activo->ViewCustomAttributes = "";

			// ind_cat
			$linea_producto->ind_cat->ViewValue = $linea_producto->ind_cat->CurrentValue;
			$linea_producto->ind_cat->CssStyle = "";
			$linea_producto->ind_cat->CssClass = "";
			$linea_producto->ind_cat->ViewCustomAttributes = "";

			// orden
			$linea_producto->orden->ViewValue = $linea_producto->orden->CurrentValue;
			$linea_producto->orden->CssStyle = "";
			$linea_producto->orden->CssClass = "";
			$linea_producto->orden->ViewCustomAttributes = "";

			// cod_usuario_registro
			$linea_producto->cod_usuario_registro->ViewValue = $linea_producto->cod_usuario_registro->CurrentValue;
			$linea_producto->cod_usuario_registro->CssStyle = "";
			$linea_producto->cod_usuario_registro->CssClass = "";
			$linea_producto->cod_usuario_registro->ViewCustomAttributes = "";

			// fec_registro
			$linea_producto->fec_registro->ViewValue = $linea_producto->fec_registro->CurrentValue;
			$linea_producto->fec_registro->ViewValue = ew_FormatDateTime($linea_producto->fec_registro->ViewValue, 5);
			$linea_producto->fec_registro->CssStyle = "";
			$linea_producto->fec_registro->CssClass = "";
			$linea_producto->fec_registro->ViewCustomAttributes = "";

			// cod_usuario_modificacion
			$linea_producto->cod_usuario_modificacion->ViewValue = $linea_producto->cod_usuario_modificacion->CurrentValue;
			$linea_producto->cod_usuario_modificacion->CssStyle = "";
			$linea_producto->cod_usuario_modificacion->CssClass = "";
			$linea_producto->cod_usuario_modificacion->ViewCustomAttributes = "";

			// fec_ultima_modificacion
			$linea_producto->fec_ultima_modificacion->ViewValue = $linea_producto->fec_ultima_modificacion->CurrentValue;
			$linea_producto->fec_ultima_modificacion->ViewValue = ew_FormatDateTime($linea_producto->fec_ultima_modificacion->ViewValue, 5);
			$linea_producto->fec_ultima_modificacion->CssStyle = "";
			$linea_producto->fec_ultima_modificacion->CssClass = "";
			$linea_producto->fec_ultima_modificacion->ViewCustomAttributes = "";

			// cod_linea_producto
			$linea_producto->cod_linea_producto->HrefValue = "";

			// cod_categoria
			$linea_producto->cod_categoria->HrefValue = "";

			// des_linea_producto
			$linea_producto->des_linea_producto->HrefValue = "";

			// des_abreviada
			$linea_producto->des_abreviada->HrefValue = "";

			// ind_activo
			$linea_producto->ind_activo->HrefValue = "";

			// ind_cat
			$linea_producto->ind_cat->HrefValue = "";

			// orden
			$linea_producto->orden->HrefValue = "";

			// cod_usuario_registro
			$linea_producto->cod_usuario_registro->HrefValue = "";

			// fec_registro
			$linea_producto->fec_registro->HrefValue = "";

			// cod_usuario_modificacion
			$linea_producto->cod_usuario_modificacion->HrefValue = "";

			// fec_ultima_modificacion
			$linea_producto->fec_ultima_modificacion->HrefValue = "";
		}

		// Call Row Rendered event
		$linea_producto->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}
}
?>
